Locale v1
Reference for the Locale v1 endpoints on Roblox.
Base URL: https://locale.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
GET | /v1/country-regions | getCountryRegions |
GET | /v1/locales | getLocales |
POST | /v1/locales/set-show-roblox-translations | postLocalesSetShowRobloxTranslations |
POST | /v1/locales/set-user-supported-locale | postLocalesSetUserSupportedLocale |
GET | /v1/locales/supported-locales | getLocalesSupportedLocales |
GET | /v1/locales/supported-locales-for-creators | getLocalesSupportedLocalesForCreators |
GET | /v1/locales/user-locale | getLocalesUserLocale |
GET | /v1/locales/user-localization-locus-supported-locales | getLocalesUserLocalizationLocusSupportedLocales |
getCountryRegions
Section titled “getCountryRegions”GET /v1/country-regions
Get list of country regions sorted by localized name
Usage
import { fetchApi } from 'rozod';import { getCountryRegions } from 'rozod/lib/endpoints/localev1';
const data = await fetchApi(getCountryRegions, { locale: /* string? */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
locale | string? | No |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
countryRegionList | object[] | See below |
countryRegionList[] item fields:
| Field | Type | Description |
|---|---|---|
code | string | |
name | string | |
displayName | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 2: Invalid supported locale code. |
| 403 | 7: Feature is disabled |
getLocales
Section titled “getLocales”GET /v1/locales
Get list of Supported locales with user locus information.
Usage
import { fetchApi } from 'rozod';import { getLocales } from 'rozod/lib/endpoints/localev1';
const data = await fetchApi(getLocales, { displayValueLocale: /* string? */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
displayValueLocale | string? | No |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
locale | object | See below |
isEnabledForFullExperience | boolean | |
isEnabledForSignupAndLogin | boolean | |
isEnabledForInGameUgc | boolean |
locale fields:
| Field | Type | Description |
|---|---|---|
id | number | |
locale | string | |
name | string | |
nativeName | string | |
language | object | See below |
language fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
nativeName | string | |
languageCode | string | |
isRightToLeft | boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 403 | Feature is turned off temporary |
| 500 | Internal server error |
postLocalesSetShowRobloxTranslations
Section titled “postLocalesSetShowRobloxTranslations”POST /v1/locales/set-show-roblox-translations
Sets whether translations suggested by Roblox will be shown to the user.
Usage
import { fetchApi } from 'rozod';import { postLocalesSetShowRobloxTranslations } from 'rozod/lib/endpoints/localev1';
const data = await fetchApi(postLocalesSetShowRobloxTranslations, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
showRobloxTranslations | boolean |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
success | boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized 0: Authorization has been denied for this request. |
| 403 | Feature is turned off temporary 0: Token Validation Failed |
| 500 | Internal server error |
postLocalesSetUserSupportedLocale
Section titled “postLocalesSetUserSupportedLocale”POST /v1/locales/set-user-supported-locale
Sets user’s supported locale.
Usage
import { fetchApi } from 'rozod';import { postLocalesSetUserSupportedLocale } from 'rozod/lib/endpoints/localev1';
const data = await fetchApi(postLocalesSetUserSupportedLocale, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
supportedLocaleCode | string |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
success | boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized 0: Authorization has been denied for this request. |
| 403 | Feature is turned off temporary 0: Token Validation Failed |
| 500 | Internal server error |
getLocalesSupportedLocales
Section titled “getLocalesSupportedLocales”GET /v1/locales/supported-locales
Get list of supported locales sorted by the Native Name property.
Usage
import { fetchApi } from 'rozod';import { getLocalesSupportedLocales } from 'rozod/lib/endpoints/localev1';
const data = await fetchApi(getLocalesSupportedLocales, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
supportedLocales | object[] | See below |
supportedLocales[] item fields:
| Field | Type | Description |
|---|---|---|
id | number | |
locale | string | |
name | string | |
nativeName | string | |
language | object | See below |
language fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
nativeName | string | |
languageCode | string | |
isRightToLeft | boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 403 | Feature is turned off temporary |
| 500 | Internal server error |
getLocalesSupportedLocalesForCreators
Section titled “getLocalesSupportedLocalesForCreators”GET /v1/locales/supported-locales-for-creators
Usage
import { fetchApi } from 'rozod';import { getLocalesSupportedLocalesForCreators } from 'rozod/lib/endpoints/localev1';
const data = await fetchApi(getLocalesSupportedLocalesForCreators, { displayValueLocale: /* string? */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
displayValueLocale | string? | No |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
locale | object | See below |
isEnabledForFullExperience | boolean | |
isEnabledForSignupAndLogin | boolean | |
isEnabledForInGameUgc | boolean |
locale fields:
| Field | Type | Description |
|---|---|---|
id | number | |
locale | string | |
name | string | |
nativeName | string | |
language | object | See below |
language fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
nativeName | string | |
languageCode | string | |
isRightToLeft | boolean |
getLocalesUserLocale
Section titled “getLocalesUserLocale”GET /v1/locales/user-locale
Gets user locale. If user is absent returns, locale from http request object.
Usage
import { fetchApi } from 'rozod';import { getLocalesUserLocale } from 'rozod/lib/endpoints/localev1';
const data = await fetchApi(getLocalesUserLocale, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
supportedLocale | object | See below |
nativeLanguage | object | See below |
supportedLocale fields:
| Field | Type | Description |
|---|---|---|
id | number | |
locale | string | |
name | string | |
nativeName | string | |
language | object | See below |
language fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
nativeName | string | |
languageCode | string | |
isRightToLeft | boolean |
nativeLanguage fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
nativeName | string | |
languageCode | string | |
isRightToLeft | boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 500 | Internal server error |
getLocalesUserLocalizationLocusSupportedLocales
Section titled “getLocalesUserLocalizationLocusSupportedLocales”GET /v1/locales/user-localization-locus-supported-locales
Gets each of a user’s localization locus supported locales. A localization locus supported locale is a page (or group of pages) that
Usage
import { fetchApi } from 'rozod';import { getLocalesUserLocalizationLocusSupportedLocales } from 'rozod/lib/endpoints/localev1';
const data = await fetchApi(getLocalesUserLocalizationLocusSupportedLocales, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
signupAndLogin | object | See below |
generalExperience | object | See below |
ugc | object | See below |
showRobloxTranslations | boolean |
signupAndLogin fields:
| Field | Type | Description |
|---|---|---|
id | number | |
locale | string | |
name | string | |
nativeName | string | |
language | object | See below |
language fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
nativeName | string | |
languageCode | string | |
isRightToLeft | boolean |
generalExperience fields:
| Field | Type | Description |
|---|---|---|
id | number | |
locale | string | |
name | string | |
nativeName | string | |
language | object | See below |
language fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
nativeName | string | |
languageCode | string | |
isRightToLeft | boolean |
ugc fields:
| Field | Type | Description |
|---|---|---|
id | number | |
locale | string | |
name | string | |
nativeName | string | |
language | object | See below |
language fields:
| Field | Type | Description |
|---|---|---|
id | number | |
name | string | |
nativeName | string | |
languageCode | string | |
isRightToLeft | boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 500 | Internal server error |